Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-9684

Refactor the compatibility matrix in the documentation

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 20.1.0
    • Fix Version/s: 22.0.0
    • Security Level: Default (Default Security Scheme)
    • Labels:
      None

      Description

      The compatibility matrix in the documentation shows how older Horizon versions are compatible with ElasticSearch, Java, Newts, Postgres, Cassandra and Kafka.

      It needs to be documented for the current version and all older versions. The problem with the current setup is:

      • It duplicates with every new version
      • In case it needs to be changed for older versions, it has to be changed also in the old versions, cause they are already published

      Instead it would be better to generate a compatibility list just for the version of Horizon or Meridian the documentation is released with. The history will build up him self. It solves the use case much better to give the user an information what other software versions needs to be used for the version the user has installed.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                indigo Ronny Trommer
                Reporter:
                indigo Ronny Trommer
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: